From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/kbibtex/
Date: Sat, 23 Jun 2018 17:04:24 +0000 (UTC) [thread overview]
Message-ID: <1529772232.c10ed46eb0a427af8820e925550e9483e8349f60.asturm@gentoo> (raw)
commit: c10ed46eb0a427af8820e925550e9483e8349f60
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 23 14:57:24 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jun 23 16:43:52 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c10ed46e
app-text/kbibtex: 0.8.1 version bump
Package-Manager: Portage-2.3.40, Repoman-2.3.9
app-text/kbibtex/Manifest | 1 +
app-text/kbibtex/kbibtex-0.8.1.ebuild | 80 +++++++++++++++++++++++++++++++++++
2 files changed, 81 insertions(+)
diff --git a/app-text/kbibtex/Manifest b/app-text/kbibtex/Manifest
index 9884cd75e44..9f6daa600b8 100644
--- a/app-text/kbibtex/Manifest
+++ b/app-text/kbibtex/Manifest
@@ -1,2 +1,3 @@
DIST kbibtex-0.7.95.tar.xz 4060200 BLAKE2B aa08cd10c4e67bd8cdfc52803df03326a3c49b86aff699d7be2c40082f5d7359ef8aeb399dd3ab7c6b62f63274ad5d545c6acdaf4f77ed2b922583346557e76a SHA512 683456504861271df46d4b423ed8994f7e97d653e3b634c81c14b0187efa51ebae6d72bc4ccbe7cf18682ccfd9ff2cfcc2ba399a1d7f6bac62e3cb9e79710cd6
+DIST kbibtex-0.8.1.tar.xz 4060484 BLAKE2B 1dd100b0c469955f273907d79765268fdefdd4ae05faa851f4c1823c41f312810f2992113cda97c1f8e19c4c3bf35e7e79c6a0bc12cde60995edbd903a9b5ae3 SHA512 73c318b1d29de98761f43de9828a48e943528f413c6c2489e916f88ef4ba1424a300bd9eddd10fa763985322248ef863cad1b8cfc681f083eb9acdabd6c6dfea
DIST kbibtex-0.8_pre20171110.tar.gz 11423893 BLAKE2B 78bcd72da35775d9927f35b865aba1e5ee88fd6391e5b354dd23d319a17a18c5aa521d32f58f1827a86bf33d1a42e7bef19940fdd1b83e67124b7335520bb1cd SHA512 719c40e78e22dc936a5395bf299962b4ec657df89877df78f17139dcd9b45a7ed98ff213a7c8a0cf0eeb4960a3b10cafaf7521e334a3269f96e2abdcdd67c913
diff --git a/app-text/kbibtex/kbibtex-0.8.1.ebuild b/app-text/kbibtex/kbibtex-0.8.1.ebuild
new file mode 100644
index 00000000000..bfce07591e1
--- /dev/null
+++ b/app-text/kbibtex/kbibtex-0.8.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+KDE_TEST="true"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="BibTeX editor to edit bibliographies used with LaTeX"
+HOMEPAGE="https://userbase.kde.org/KBibTeX"
+if [[ ${KDE_BUILD_TYPE} != live ]]; then
+ SRC_URI="mirror://kde/stable/KBibTeX/${PV}/${P}.tar.xz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+IUSE="webengine webkit zotero"
+
+REQUIRED_USE="?? ( webengine webkit )"
+
+DEPEND="
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep kjobwidgets)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ $(add_qt_dep qtxmlpatterns)
+ app-text/poppler[qt5]
+ dev-libs/icu:=
+ virtual/tex-base
+ webengine? ( $(add_qt_dep qtwebengine 'widgets') )
+ webkit? ( $(add_qt_dep qtwebkit) )
+ zotero? (
+ app-crypt/qca[qt5(+)]
+ dev-libs/qoauth:5
+ )
+"
+RDEPEND="${DEPEND}
+ !app-text/kbibtex:4
+ dev-tex/bibtex2html
+ x11-misc/shared-mime-info
+"
+
+RESTRICT+=" test"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package webengine Qt5WebEngineWidgets)
+ $(cmake-utils_use_find_package webkit Qt5WebKitWidgets)
+ $(cmake-utils_use_find_package zotero Qca-qt5)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version "kde-apps/okular:${SLOT}" ; then
+ elog "For PDF or PostScript document preview support, please install kde-apps/okular:${SLOT}"
+ fi
+}
next reply other threads:[~2018-06-23 17:04 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-23 17:04 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 11:32 [gentoo-commits] repo/gentoo:master commit in: app-text/kbibtex/ Andreas Sturmlechner
2025-02-06 22:41 Andreas Sturmlechner
2025-01-13 18:47 Andreas Sturmlechner
2024-03-25 18:48 Andreas Sturmlechner
2024-03-11 9:50 Andreas Sturmlechner
2023-06-12 17:45 Andreas Sturmlechner
2023-06-12 3:49 Sam James
2023-06-10 22:04 Sam James
2023-05-03 11:31 Andreas Sturmlechner
2023-04-23 13:04 Sam James
2023-04-23 13:04 Sam James
2023-03-29 10:24 Andreas Sturmlechner
2023-02-25 18:05 Arthur Zamarin
2023-02-25 14:46 Arthur Zamarin
2022-12-15 19:26 Andreas Sturmlechner
2022-12-15 4:43 Arthur Zamarin
2022-12-05 18:03 Arthur Zamarin
2020-06-04 8:40 Andreas Sturmlechner
2020-05-29 7:39 Agostino Sarubbo
2020-04-26 23:06 Andreas Sturmlechner
2020-01-10 16:01 Andreas Sturmlechner
2020-01-10 16:01 Andreas Sturmlechner
2020-01-10 1:26 Thomas Deutschmann
2019-11-17 23:25 Andreas Sturmlechner
2019-11-17 23:15 Andreas Sturmlechner
2019-06-20 10:37 Andreas Sturmlechner
2019-06-20 9:33 Mikle Kolyada
2019-06-18 18:28 Andreas Sturmlechner
2019-06-18 18:24 Thomas Deutschmann
2019-06-05 7:03 Andreas Sturmlechner
2019-02-05 23:27 Andreas Sturmlechner
2019-02-02 15:39 Andreas Sturmlechner
2019-01-04 22:37 Andreas Sturmlechner
2018-06-26 6:47 Johannes Huber
2018-06-26 2:04 Aaron Bauman
2018-06-23 17:04 Andreas Sturmlechner
2018-05-29 14:59 Andreas Sturmlechner
2018-05-28 22:00 Andreas Sturmlechner
2018-05-28 22:00 Andreas Sturmlechner
2018-05-26 22:31 Andreas Sturmlechner
2018-05-05 11:28 Andreas Sturmlechner
2018-05-05 11:28 Andreas Sturmlechner
2018-03-19 17:16 Andreas Sturmlechner
2018-02-28 22:21 Andreas Sturmlechner
2017-12-29 19:28 Mikle Kolyada
2017-12-29 17:49 Thomas Deutschmann
2017-12-29 12:58 Andreas Sturmlechner
2017-12-29 10:11 Andreas Sturmlechner
2017-12-03 0:27 Andreas Sturmlechner
2017-12-03 0:27 Andreas Sturmlechner
2017-10-29 11:06 Andreas Sturmlechner
2017-06-25 16:37 Andreas Sturmlechner
2017-06-18 9:04 Andreas Sturmlechner
2017-06-18 8:36 Andreas Sturmlechner
2017-05-07 10:41 Andreas Sturmlechner
2017-05-07 10:36 Agostino Sarubbo
2017-05-07 10:34 Agostino Sarubbo
2016-08-20 18:28 Michael Palimaka
2016-03-17 13:09 Johannes Huber
2016-02-14 14:12 Michael Palimaka
2016-01-27 9:22 Agostino Sarubbo
2015-08-12 14:56 Michael Palimaka
2015-08-12 14:36 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1529772232.c10ed46eb0a427af8820e925550e9483e8349f60.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox